Jump to content
K4thos

Mod Compatibility List for EET

Recommended Posts

Re: Ascalon's Breagar, It shows up for an English install without selecting translations. Could you double check this?

 

For my own use I did a slow and dirty translate of the tra files..(Jasety, I understand now)... But now I lack the Journal, Items and even the Character class/stats info(translations). I don't mind pausing my game and digging info out of NI but others might not.

This is how the mod appears in the list

Ascalon's Breagar v7.0 or above (Note that the mod is not yet fully translated from German)

Everything not yet translated will thus appear in the mod's default language.

Share this post


Link to post

that's cool that you can understand it but.......

Now you know how all non-English players perceive the game. They select their language but everything that is not (yet) translated will appear in English, even in the base game.

About 90 percent of the mods use English as first language in the selection with other translations available on top. But there are a number of mods that come from other communities as well, including some that are not available at all in English.

 

PS - I have a limited knowledge of German and I first played Breagar in the original version, His language is very special to represent also his dwarf personality. Any translation must be done very carefully to represent this, otherwise the mod will lose a lot of its charm and flavor. A google translate will never capture that tone.

Edited by Roxanne

Share this post


Link to post

that's cool that you can understand it but.......

And if you don't undestand what's said, you don't need to ... as you can either skip everything that's said, or load your game if what ever you choise lead to a bad fight.

Share this post


Link to post

If it isn't already, Breagar should probably be flagged as expert for none German installations.

I would assume quite a few people will just install it without reading what's in parentheses and end up with a mixed language install.

 

I'm German and I still wouldn't install Braegar since the rest of my game is in English and IMHO mixed languages totally kill immersion.

Share this post


Link to post

...since the rest of my game is in English and IMHO mixed languages totally kill immersion.

Yeah, but people still speak Klingon in the real world too, so what your problem ? targhlIj yIngagh, yIruch!

Edited by Jarno Mikkola

Share this post


Link to post

If it isn't already, Breagar should probably be flagged as expert for none German installations.

I would assume quite a few people will just install it without reading what's in parentheses and end up with a mixed language install.

 

I'm German and I still wouldn't install Braegar since the rest of my game is in English and IMHO mixed languages totally kill immersion.

I think you talk about BWS here?

 

The way it is treated in BWS is this:

- the mod is not pre-selected

- you need to include it into your game by choice from the mod list

- on the mod list, the components appear in German

- when you select it, the description text tells you that it is not yet fully translated

 

Like I said in the previous post, this situation is common for all non-English installations. If you do a German install and have a mod selected where a part or phrase etc is not yet translated, this will appear in English. So Breagar is not different from many other mods that are not available in all languages.

Share this post


Link to post
I think you talk about BWS here?

 

 

Aye, I was.

 

The way it is currently handled is totally fine.

All I am saying is that marking it as expert (assuming BWS still uses Recommended/Standard/Tactics/Expert flags, tbh I couldn't say for sure without checking right now) might spare newer users some grief. The BWS mod selection is huge and I can imagine someone just taking pretty much all the quest/npc mods available without taking a closer look at what the description says.

 

On a unrelated note; it looks like you've taken the BWS under your wing, at least to a certain extend. Thank you so much for that! :beer:

Share this post


Link to post

 

I

 

 

On a unrelated note; it looks like you've taken the BWS under your wing, at least to a certain extend. Thank you so much for that! :beer:

 

 

The important part is *at least to a certain extend*

I have limited knowledge of the coding used and I only have the BGEE games myself, so I limit myself to maintain the EE/EET selections for those mods I have in SUPPORT status and I try to help those that fumble to do the same for their mods.

There are some other modders that do the same thing for mods they support, some even beyond BG.

Share this post


Link to post

 

I think you talk about BWS here?

 

 

Aye, I was.

 

The way it is currently handled is totally fine.

All I am saying is that marking it as expert (assuming BWS still uses Recommended/Standard/Tactics/Expert flags, tbh I couldn't say for sure without checking right now) might spare newer users some grief. The BWS mod selection is huge and I can imagine someone just taking pretty much all the quest/npc mods available without taking a closer look at what the description says.

 

 

 

The expert flag actually was meant for another pupose, i.e. when it would require console or code knowledge to handle certain situations in a mod as you else would get stuck.

In an NPC mod not understanding some words or finding language switching immersion breaking would not justify this. You can kick out an NPC you do not want at anytime and just play on. It is not a valid criterion to discriminate a mod. I recently ran into an asian mod that was FULLY translated to English, but...I did not understand anything - it was some google translation that made no sense most of the time.

Share this post


Link to post

Does someone know about any plans to make the de Arnise Romance mod EET.compatible?

 

Not long ago, Kulyok gave permission for technical updates of her mods, however this one has

jcompton, Kulyok

as authors, so it may not be covered by this.

 

It would be nice to have this mod in EET, it is one of the best romance mods for BG2 part involving vanilla NPCs.It really breaks Nalia out of the original stereotype frame.

 

-- removed by myself --

Edited by StefanO

Share this post


Link to post

 

Does someone know about any plans to make the de Arnise Romance mod EET.compatible?

 

Not long ago, Kulyok gave permission for technical updates of her mods, however this one has

jcompton, Kulyok

as authors, so it may not be covered by this.

 

It would be nice to have this mod in EET, it is one of the best romance mods for BG2 part involving vanilla NPCs.It really breaks Nalia out of the original stereotype frame.

 

There is a (BWS?) patch for the de Arnise mod available. My copy of the setup tp2 file starts with

ACTION_IF GAME_IS ~eet~ BEGIN
    OUTER_SET bg2_chapter = 12
  END ELSE BEGIN
    OUTER_SET bg2_chapter = 0
  END
  OUTER_FOR (i=1; i<=10; i=i+1) BEGIN
    OUTER_SET bg2_chapter = bg2_chapter + 1
    OUTER_SPRINT name_source ~bg2_chapter_%i%~
    OUTER_SET EVAL ~%name_source%~ = bg2_chapter
  END

I guess that means there is hope.

 

Obviously a modder had a native EET version ready and and tested and was just waiting for a confirmation to publish it.

http://www.shsforums.net/topic/56670-big-world-setup-an-attempt-to-update-the-program/page-258?do=findComment&comment=601171

 

The one you use is most likely the BWS + BWFixpack one that was the interim solution until a day ago. You see that at the top of the tp2 file if it has" VERSION ~v5 BWP Fix".

 

The downside of those fixes always is that they become unusable if the original mod is updated without incorporating the fixes. This is why they are only an interim solution and should be overcome in foreseeable time.

Those are the mods in the last block of the EET-compatibility list, that has become pretty short during the last months. Ideally one day we can get rid of it.
Edited by Roxanne

Share this post


Link to post

I found a small issue regarding incorrect utf-8 characters and reported this as "issue" in PaulaM's github site.

Share this post


Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...